{
  "accUserMode" : 2,
  "caption" : "测试实体实体树导航视图(编辑视图功能测试)",
  "codeName" : "TESTUsr2TreeExpView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr2TreeExpView.json",
  "name" : "TESTUsr2TreeExpView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "TreeExpView",
    "name" : "engine"
  } ],
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "Usr2TreeExpViewtreeexpbar",
    "controlType" : "TREEEXPBAR",
    "name" : "treeexpbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSAppViewRefs" : [ {
      "name" : "EXPITEM:bdjcjbgn",
      "realTitle" : "测试实体实体编辑视图(编辑表单基础-基本功能)",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr9EditView.json",
        "viewType" : "DEEDITVIEW"
      }
    }, {
      "name" : "EXPITEM:bdlj",
      "realTitle" : "测试实体实体编辑视图(功能确认表单逻辑)",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr7EditView.json",
        "viewType" : "DEEDITVIEW"
      }
    }, {
      "name" : "EXPITEM:bdys",
      "realTitle" : "功能确认表单元素",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr5EditView.json",
        "viewType" : "DEEDITVIEW"
      }
    }, {
      "name" : "EXPITEM:bjbdjcshitubj",
      "realTitle" : "测试实体实体编辑视图(功能确认编辑表单)",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr8EditView.json",
        "viewType" : "DEEDITVIEW"
      }
    }, {
      "name" : "EXPITEM:mrclbj",
      "realTitle" : "测试实体实体编辑视图(编辑表单基础-默认处理-编辑)",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr11EditView.json",
        "viewType" : "DEEDITVIEW"
      }
    }, {
      "name" : "EXPITEM:mrclxj",
      "realTitle" : "测试实体实体编辑视图(编辑表单基础-默认处理-新建)",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr10EditView.json",
        "viewType" : "DEEDITVIEW"
      }
    }, {
      "name" : "EXPITEM:msjzsj",
      "realTitle" : "功能确认默认加载数据",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr4EditView.json",
        "viewType" : "DEEDITVIEW"
      }
    }, {
      "name" : "EXPITEM:ssbdjc",
      "realTitle" : "测试实体表格视图",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr2GridView.json",
        "viewType" : "DEGRIDVIEW"
      }
    }, {
      "name" : "EXPITEM:xdbd",
      "realTitle" : "测试实体实体向导视图(功能确认-向导表单)",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr2WizardView.json",
        "viewType" : "DEWIZARDVIEW"
      }
    }, {
      "name" : "EXPITEM:xsxxl",
      "realTitle" : "测试实体编辑视图（功能确认显示信息栏）",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr2EditView.json",
        "viewType" : "DEEDITVIEW"
      }
    }, {
      "name" : "EXPITEM:zdms",
      "realTitle" : "功能确认只读模式",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr3EditView.json",
        "viewType" : "DEEDITVIEW"
      }
    } ],
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "treeexpbar"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "TREEEXPBAR"
    },
    "getPSControls" : [ {
      "codeName" : "Testeditview",
      "controlType" : "TREEVIEW",
      "getCreatePSControlAction" : {
        "modelref" : true,
        "id" : "create",
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      },
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSTREEVIEWS/Testeditview.json",
      "getFetchPSControlAction" : {
        "modelref" : true,
        "id" : "fetch",
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      },
      "getGetPSControlAction" : {
        "modelref" : true,
        "id" : "load",
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      },
      "hookEventNames" : [ "SELECTIONCHANGE", "LOAD" ],
      "logicName" : "测试编辑视图",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        } ],
        "userDRAction" : "READ",
        "enableDEFieldPrivilege" : false,
        "id" : "树视图处理器"
      },
      "getPSControlLogics" : [ {
        "eventNames" : "SELECTIONCHANGE",
        "logicTag" : "treeexpbar_tree",
        "logicType" : "CUSTOM",
        "name" : "treeexpbar_selectionchange"
      }, {
        "eventNames" : "LOAD",
        "logicTag" : "treeexpbar_tree",
        "logicType" : "CUSTOM",
        "name" : "treeexpbar_load"
      } ],
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "treeexpbar_tree"
      },
      "getPSDETreeNodeRSs" : [ {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "bjst"
        },
        "name" : "默认根节点 - 编辑视图",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "ROOT"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "bdsj"
        },
        "name" : "数据模型 - 表单数据",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "sjmx"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "sjmx"
        },
        "name" : "表单 - 数据模型",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "bdbj"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "bjbdjcshitubj"
        },
        "name" : "编辑表单基础 - 编辑表单基础-视图部件",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "bjbdjc"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "mrclbj"
        },
        "name" : "编辑表单基础-默认处理 - 编辑表单基础-默认处理-编辑",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "bjbdjcmrcl"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "ssbdjc"
        },
        "name" : "搜索表单 - 搜索表单基础",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "ssbd"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "xsxxl"
        },
        "name" : "编辑视图 - 显示信息栏",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "bjst"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "bjbdjc"
        },
        "name" : "编辑表单 - 编辑表单基础",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "bjbd"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "mrclxj"
        },
        "name" : "编辑表单基础-默认处理 - 编辑表单基础-默认处理-新建",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "bjbdjcmrcl"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "bjbdjcmrcl"
        },
        "name" : "编辑表单基础 - 编辑表单基础-默认处理",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "bjbdjc"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "ssbdx"
        },
        "name" : "搜索表单 - 搜索表单项",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "ssbd"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "qystczkz"
        },
        "name" : "编辑视图 - 启用视图操作控制",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "bjst"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "bdbj"
        },
        "name" : "默认根节点 - 表单",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "ROOT"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "bdlj"
        },
        "name" : "表单 - 表单逻辑",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "bdbj"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "bjbdx"
        },
        "name" : "编辑表单 - 编辑表单项",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "bjbd"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "gzlxg"
        },
        "name" : "编辑表单 - 工作流相关",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "bjbd"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "zdms"
        },
        "name" : "编辑视图 - 只读模式",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "bjst"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "bjbd"
        },
        "name" : "表单 - 编辑表单",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "bdbj"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "bjbdjcdhl"
        },
        "name" : "编辑表单基础 - 编辑表单基础-导航栏",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "bjbdjc"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "msjzsj"
        },
        "name" : "编辑视图 - 默认加载数据",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "bjst"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "bdjcjbgn"
        },
        "name" : "编辑表单基础 - 编辑表单基础-基本功能",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "bjbdjc"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "ssbd"
        },
        "name" : "表单 - 搜索表单",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "bdbj"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "xdbd"
        },
        "name" : "表单 - 向导表单",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "bdbj"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "fjwdqj"
        },
        "name" : "编辑视图 - 父键为当前键",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "bjst"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "lssjms"
        },
        "name" : "编辑视图 - 临时数据模式",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "bjst"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "bdys"
        },
        "name" : "表单 - 表单元素",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "bdbj"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      } ],
      "getPSDETreeNodes" : [ {
        "counterMode" : 0,
        "name" : "默认根节点",
        "nodeType" : "ROOT",
        "nodeValue" : "root",
        "text" : "默认根节点",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : true,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : true,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "ROOT"
      }, {
        "counterMode" : 0,
        "name" : "表单",
        "nodeType" : "bdbj",
        "nodeValue" : "bdbj",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "text" : "表单",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : true,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "bdbj"
      }, {
        "counterMode" : 0,
        "name" : "编辑表单基础-基本功能",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr9EditView.json",
          "viewType" : "DEEDITVIEW"
        },
        "nodeType" : "bdjcjbgn",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "text" : "基本功能",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : false,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "bdjcjbgn"
      }, {
        "counterMode" : 0,
        "name" : "表单逻辑",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr7EditView.json",
          "viewType" : "DEEDITVIEW"
        },
        "nodeType" : "bdlj",
        "nodeValue" : "bdlj",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "text" : "表单逻辑",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : false,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "bdlj"
      }, {
        "counterMode" : 0,
        "name" : "表单数据",
        "nodeType" : "bdsj",
        "nodeValue" : "bdsj",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "text" : "表单数据",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : false,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "bdsj"
      }, {
        "counterMode" : 0,
        "name" : "表单元素",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr5EditView.json",
          "viewType" : "DEEDITVIEW"
        },
        "nodeType" : "bdys",
        "nodeValue" : "bdys",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "text" : "表单元素",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : false,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "bdys"
      }, {
        "counterMode" : 0,
        "name" : "编辑表单",
        "nodeType" : "bjbd",
        "nodeValue" : "bjbd",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "text" : "编辑表单",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : true,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "bjbd"
      }, {
        "counterMode" : 0,
        "name" : "编辑表单基础",
        "nodeType" : "bjbdjc",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "text" : "编辑表单基础",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : true,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "bjbdjc"
      }, {
        "counterMode" : 0,
        "name" : "编辑表单基础-导航栏",
        "nodeType" : "bjbdjcdhl",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "text" : "导航栏",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : false,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "bjbdjcdhl"
      }, {
        "counterMode" : 0,
        "name" : "编辑表单基础-默认处理",
        "nodeType" : "bjbdjcmrcl",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "text" : "默认处理",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : true,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "bjbdjcmrcl"
      }, {
        "counterMode" : 0,
        "name" : "编辑表单基础-视图部件",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr8EditView.json",
          "viewType" : "DEEDITVIEW"
        },
        "nodeType" : "bjbdjcshitubj",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "text" : "视图部件",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : false,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "bjbdjcshitubj"
      }, {
        "counterMode" : 0,
        "name" : "编辑表单项",
        "nodeType" : "bjbdx",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "text" : "编辑表单项",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : false,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "bjbdx"
      }, {
        "counterMode" : 0,
        "name" : "编辑视图",
        "nodeType" : "bjst",
        "nodeValue" : "bjst",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "text" : "编辑视图",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : true,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "bjst"
      }, {
        "counterMode" : 0,
        "name" : "父键为当前键",
        "nodeType" : "fjwdqj",
        "nodeValue" : "fjwdqj",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "text" : "父键为当前键",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : false,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "fjwdqj"
      }, {
        "counterMode" : 0,
        "name" : "工作流相关",
        "nodeType" : "gzlxg",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "text" : "工作流相关",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : false,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "gzlxg"
      }, {
        "counterMode" : 0,
        "name" : "临时数据模式",
        "nodeType" : "lssjms",
        "nodeValue" : "lssjms",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "text" : "临时数据模式",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : false,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "lssjms"
      }, {
        "counterMode" : 0,
        "name" : "编辑表单基础-默认处理-编辑",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr11EditView.json",
          "viewType" : "DEEDITVIEW"
        },
        "nodeType" : "mrclbj",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "text" : "编辑",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : false,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "mrclbj"
      }, {
        "counterMode" : 0,
        "name" : "编辑表单基础-默认处理-新建",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr10EditView.json",
          "viewType" : "DEEDITVIEW"
        },
        "nodeType" : "mrclxj",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "text" : "新建",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : false,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "mrclxj"
      }, {
        "counterMode" : 0,
        "name" : "默认加载数据",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr4EditView.json",
          "viewType" : "DEEDITVIEW"
        },
        "nodeType" : "msjzsj",
        "nodeValue" : "msjzsj",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "text" : "默认加载数据",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : false,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "msjzsj"
      }, {
        "counterMode" : 0,
        "name" : "启用视图操作控制",
        "nodeType" : "qystczkz",
        "nodeValue" : "qystczkz",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "text" : "启用视图操作控制",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : false,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "qystczkz"
      }, {
        "counterMode" : 0,
        "name" : "数据模型",
        "nodeType" : "sjmx",
        "nodeValue" : "sjmx",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "text" : "数据模型",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : true,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "sjmx"
      }, {
        "counterMode" : 0,
        "name" : "搜索表单",
        "nodeType" : "ssbd",
        "nodeValue" : "ssbd",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "text" : "搜索表单",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : true,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "ssbd"
      }, {
        "counterMode" : 0,
        "name" : "搜索表单基础",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr2GridView.json",
          "viewType" : "DEGRIDVIEW"
        },
        "nodeType" : "ssbdjc",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "text" : "搜索表单基础",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : false,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "ssbdjc"
      }, {
        "counterMode" : 0,
        "name" : "搜索表单项",
        "nodeType" : "ssbdx",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "text" : "搜索表单项",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : false,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "ssbdx"
      }, {
        "counterMode" : 0,
        "name" : "向导表单",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr2WizardView.json",
          "viewType" : "DEWIZARDVIEW"
        },
        "nodeType" : "xdbd",
        "nodeValue" : "xdbd",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "getPSNavigateContexts" : [ {
          "key" : "TEST",
          "name" : "TEST",
          "value" : "04540200abd4ef3b0c684aeab90b2f09",
          "rawValue" : true
        } ],
        "text" : "向导表单",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : false,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "xdbd"
      }, {
        "counterMode" : 0,
        "name" : "显示信息栏",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr2EditView.json",
          "viewType" : "DEEDITVIEW"
        },
        "nodeType" : "xsxxl",
        "nodeValue" : "xsxxl",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "text" : "显示信息栏",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : false,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "xsxxl"
      }, {
        "counterMode" : 0,
        "name" : "只读模式",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr3EditView.json",
          "viewType" : "DEEDITVIEW"
        },
        "nodeType" : "zdms",
        "nodeValue" : "zdms",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "text" : "只读模式",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : false,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "zdms"
      } ],
      "getRemovePSControlAction" : {
        "modelref" : true,
        "id" : "remove",
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      },
      "treeGridMode" : 0,
      "getUpdatePSControlAction" : {
        "modelref" : true,
        "id" : "update",
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      },
      "enableRootSelect" : false,
      "outputIconDefault" : true,
      "rootVisible" : false,
      "name" : "treeexpbar_tree",
      "modelid" : "A720FDAD-3BDF-4194-8BC5-FB4FEB9B7827",
      "modeltype" : "PSDETREEVIEW"
    } ],
    "xDataControlName" : "treeexpbar_tree",
    "enableCounter" : true,
    "enableSearch" : false,
    "showTitleBar" : true,
    "modelid" : "e356ce86ae1c9879913049466ba6d135_treeexpbar",
    "modeltype" : "PSEXPBAR"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 1,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : true,
    "mobileSearchBar" : false
  }, {
    "caption" : "测试实体实体树导航视图(编辑视图功能测试)",
    "codeName" : "Usr2TreeExpViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "Usr2TreeExpView",
  "getPSDEViewId" : "685B4111-5F3D-4D46-BB76-86CAD748D82B",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDETREEEXPVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "测试实体实体树导航视图(编辑视图功能测试)",
  "viewStyle" : "DEFAULT",
  "viewType" : "DETREEEXPVIEW",
  "enableDP" : true,
  "enableFilter" : true,
  "enableQuickSearch" : true,
  "enableSearch" : true,
  "showDataInfoBar" : true,
  "modelid" : "e356ce86ae1c9879913049466ba6d135",
  "modeltype" : "PSAPPDEVIEW"
}